Xalan-Java: Class StylesheetHandler

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xalan.xslt
Class StylesheetHandler

    java.lang.Object
      |
      +--org.apache.xalan.xslt.StylesheetHandler

public class StylesheetHandler
extends java.lang.Object
implements org.xml.sax.DocumentHandler, org.xml.sax.EntityResolver

**For advanced use only** Initializes and processes a stylesheet via SAX events. If you need to alter the code in here, it is not for the faint-of-heart, due to the state tracking that has to be done due to the SAX event model.

Field Summary
`java.lang.String` | `m_includeBase` **For advanced use only** This will act as a stack of sorts to keep track of the current include base.

Constructor Summary
`StylesheetHandler(XSLTEngineImpl processor, Stylesheet stylesheetTree)` **For advanced use only** FormatterToText instance constructor...

Method Summary
`void` | `cdata(char[] ch, int start, int length)` **For advanced use only** Receive notification of cdata.
`void` | `characters(char[] ch, int start, int length)` **For advanced use only** Receive notification of character data.
`void` | `comment(java.lang.String data)` **For advanced use only** Called when a Comment is to be constructed.
`void` | `endDocument()` **For advanced use only** Receive notification of the end of a document.
`void` | `endElement(java.lang.String name)` **For advanced use only** Receive notification of the end of an element.
`void` | `entityReference(java.lang.String name)` **For advanced use only** Receive notivication of a entityReference.
`void` | `ignorableWhitespace(char[] ch, int start, int length)` **For advanced use only** Receive notification of ignorable whitespace in element content.
`static boolean` | `isSpace(char ch)` **For advanced use only** Returns whether the specified ch conforms to the XML 1.0 definition of whitespace.
`boolean` | `isWhiteSpace(char[] ch, int start, int length)` **For advanced use only** Tell if the string is whitespace.
`void` | `processingInstruction(java.lang.String target, java.lang.String data)` **For advanced use only** Receive notification of a processing instruction.
`org.xml.sax.InputSource` | `resolveEntity(java.lang.String publicId, java.lang.String systemId)` **For advanced use only** Catch the entity resolving, and fix up the stack.
`void` | `setDocumentLocator(org.xml.sax.Locator locator)` **For advanced use only** Receive an object for locating the origin of SAX document events.
`void` | `startDocument()` **For advanced use only** Receive notification of the beginning of a document.
`void` | `startElement(java.lang.String name, org.xml.sax.AttributeList atts)` **For advanced use only** Receive notification of the beginning of an element.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### m_includeBase

    public java.lang.String m_includeBase

  **For advanced use only** This will act as a stack of sorts to keep track of the current include base.

Constructor Detail

### StylesheetHandler

    public StylesheetHandler(XSLTEngineImpl processor,
                             Stylesheet stylesheetTree)

  **For advanced use only** FormatterToText instance constructor... it will add the DOM nodes to the document fragment.

Method Detail

### setDocumentLocator

    public void setDocumentLocator(org.xml.sax.Locator locator)

  **For advanced use only** Receive an object for locating the origin of SAX document events.

  SAX parsers are strongly encouraged (though not absolutely required) to supply a locator: if it does so, it must supply the locator to the application by invoking this method before invoking any of the other methods in the DocumentHandler interface.

  The locator allows the application to determine the end position of any document-related event, even if the parser is not reporting an error. Typically, the application will use this information for reporting its own errors (such as character content that does not match an application's business rules). The information returned by the locator is probably not sufficient for use with a search engine.

  Note that the locator will return correct information only during the invocation of the events in this interface. The application should not attempt to use it at any other time.

  Specified by:
    setDocumentLocator in interface org.xml.sax.DocumentHandler
  Parameters:
    `locator` - An object that can return the location of any SAX document event.
  See Also:
    `Locator`

### startDocument

    public void startDocument()
                       throws org.xml.sax.SAXException

  **For advanced use only** Receive notification of the beginning of a document.

  The SAX parser will invoke this method only once, before any other methods in this interface or in DTDHandler (except for setDocumentLocator).

  Specified by:
    startDocument in interface org.xml.sax.DocumentHandler
  Throws:
    org.xml.sax.SAXException - Any SAX exception, possibly wrapping another exception.

### endDocument

    public void endDocument()
                     throws org.xml.sax.SAXException

  **For advanced use only** Receive notification of the end of a document.

  The SAX parser will invoke this method only once, and it will be the last method invoked during the parse. The parser shall not invoke this method until it has either abandoned parsing (because of an unrecoverable error) or reached the end of input.

  Specified by:
    endDocument in interface org.xml.sax.DocumentHandler
  Throws:
    org.xml.sax.SAXException - Any SAX exception, possibly wrapping another exception.

### startElement

    public void startElement(java.lang.String name,
                             org.xml.sax.AttributeList atts)
                      throws org.xml.sax.SAXException

  **For advanced use only** Receive notification of the beginning of an element.

  The Parser will invoke this method at the beginning of every element in the XML document; there will be a corresponding endElement() event for every startElement() event (even when the element is empty). All of the element's content will be reported, in order, before the corresponding endElement() event.

  If the element name has a namespace prefix, the prefix will still be attached. Note that the attribute list provided will contain only attributes with explicit values (specified or defaulted): #IMPLIED attributes will be omitted.

  Specified by:
    startElement in interface org.xml.sax.DocumentHandler
  Parameters:
    `name` - The element type name.
    `atts` - The attributes attached to the element, if any.
  Throws:
    org.xml.sax.SAXException - Any SAX exception, possibly wrapping another exception.
  See Also:
    `endElement(java.lang.String)`, `AttributeList`

### resolveEntity

    public org.xml.sax.InputSource resolveEntity(java.lang.String publicId,
                                                 java.lang.String systemId)
                                          throws org.xml.sax.SAXException,
                                                 java.io.IOException

  **For advanced use only** Catch the entity resolving, and fix up the stack.
  Specified by:
    resolveEntity in interface org.xml.sax.EntityResolver

### endElement

    public void endElement(java.lang.String name)
                    throws org.xml.sax.SAXException

  **For advanced use only** Receive notification of the end of an element.

  The SAX parser will invoke this method at the end of every element in the XML document; there will be a corresponding startElement() event for every endElement() event (even when the element is empty).

  If the element name has a namespace prefix, the prefix will still be attached to the name.

  Specified by:
    endElement in interface org.xml.sax.DocumentHandler
  Parameters:
    `name` - The element type name
  Throws:
    org.xml.sax.SAXException - Any SAX exception, possibly wrapping another exception.

### isSpace

    public static boolean isSpace(char ch)

  **For advanced use only** Returns whether the specified ch conforms to the XML 1.0 definition of whitespace. Refer to the definition of `S` for details.
  Parameters:
    `ch` - Character to check as XML whitespace.
  Returns:
    =true if ch is XML whitespace; otherwise =false.

### isWhiteSpace

    public boolean isWhiteSpace(char[] ch,
                                int start,
                                int length)

  **For advanced use only** Tell if the string is whitespace.
  Parameters:
    `string` - String to be trimmed.
  Returns:
    The trimmed string.

### characters

    public void characters(char[] ch,
                           int start,
                           int length)
                    throws org.xml.sax.SAXException

  **For advanced use only** Receive notification of character data.

  The Parser will call this method to report each chunk of character data. SAX parsers may return all contiguous character data in a single chunk, or they may split it into several chunks; however, all of the characters in any single event must come from the same external entity, so that the Locator provides useful information.

  The application must not attempt to read from the array outside of the specified range.

  Note that some parsers will report whitespace using the ignorableWhitespace() method rather than this one (validating parsers must do so).

  Specified by:
    characters in interface org.xml.sax.DocumentHandler
  Parameters:
    `ch` - The characters from the XML document.
    `start` - The start position in the array.
    `length` - The number of characters to read from the array.
  Throws:
    org.xml.sax.SAXException - Any SAX exception, possibly wrapping another exception.
  See Also:
    `ignorableWhitespace(char[], int, int)`, `Locator`

### cdata

    public void cdata(char[] ch,
                      int start,
                      int length)
               throws org.xml.sax.SAXException

  **For advanced use only** Receive notification of cdata.

  The Parser will call this method to report each chunk of character data. SAX parsers may return all contiguous character data in a single chunk, or they may split it into several chunks; however, all of the characters in any single event must come from the same external entity, so that the Locator provides useful information.

  The application must not attempt to read from the array outside of the specified range.

  Note that some parsers will report whitespace using the ignorableWhitespace() method rather than this one (validating parsers must do so).

  Parameters:
    `ch` - The characters from the XML document.
    `start` - The start position in the array.
    `length` - The number of characters to read from the array.
  Throws:
    org.xml.sax.SAXException - Any SAX exception, possibly wrapping another exception.
  See Also:
    `ignorableWhitespace(char[], int, int)`, `Locator`

### ignorableWhitespace

    public void ignorableWhitespace(char[] ch,
                                    int start,
                                    int length)
                             throws org.xml.sax.SAXException

  **For advanced use only** Receive notification of ignorable whitespace in element content.

  Validating Parsers must use this method to report each chunk of ignorable whitespace (see the W3C XML 1.0 recommendation, section 2.10): non-validating parsers may also use this method if they are capable of parsing and using content models.

  SAX parsers may return all contiguous whitespace in a single chunk, or they may split it into several chunks; however, all of the characters in any single event must come from the same external entity, so that the Locator provides useful information.

  The application must not attempt to read from the array outside of the specified range.

  Specified by:
    ignorableWhitespace in interface org.xml.sax.DocumentHandler
  Parameters:
    `ch` - The characters from the XML document.
    `start` - The start position in the array.
    `length` - The number of characters to read from the array.
  Throws:
    org.xml.sax.SAXException - Any SAX exception, possibly wrapping another exception.
  See Also:
    `characters(char[], int, int)`

### processingInstruction

    public void processingInstruction(java.lang.String target,
                                      java.lang.String data)
                               throws org.xml.sax.SAXException

  **For advanced use only** Receive notification of a processing instruction.

  The Parser will invoke this method once for each processing instruction found: note that processing instructions may occur before or after the main document element.

  A SAX parser should never report an XML declaration (XML 1.0, section 2.8) or a text declaration (XML 1.0, section 4.3.1) using this method.

  Specified by:
    processingInstruction in interface org.xml.sax.DocumentHandler
  Parameters:
    `target` - The processing instruction target.
    `data` - The processing instruction data, or null if none was supplied.
  Throws:
    org.xml.sax.SAXException - Any SAX exception, possibly wrapping another exception.

### comment

    public void comment(java.lang.String data)
                 throws org.xml.sax.SAXException

  **For advanced use only** Called when a Comment is to be constructed.
  Parameters:
    `data` - The comment data.
  Throws:
    org.xml.sax.SAXException - Any SAX exception, possibly wrapping another exception.

### entityReference

    public void entityReference(java.lang.String name)
                         throws org.xml.sax.SAXException

  **For advanced use only** Receive notivication of a entityReference.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 Apache XML Project. All Rights Reserved.